﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PF0DonationsRecurring.aspx.cs" Inherits="APITestPages.PF0DonationsRecurring" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0" />
  <title>SIP BASIC</title>
  <style type="text/css">
    .auto-style1 {
      width: 17%;
    }
    .auto-style2 {
      width: 323px;
    }
  </style>
</head>
<body>
  <form id="form1" runat="server">
    <input type="hidden" name="MerchantDBA" value="AmineLocalPaymentFormsTest">
    <input type="hidden" name="MerchantId" value="<%= mMerchantId %>"">
    <input type="hidden" name="TerminalId" value="<%= mTerminalId %>"">
    <input type="hidden" name="Seed" value="0.8201105">
    <input type="hidden" name="Mode" value="0">
    <input type="hidden" name="Version" value="2.0">
    <input type="hidden" name="TransactionType" value="Sale">
    <input type="hidden" name="TimeStamp" value="">
    <input type="hidden" name="InvoiceNumber" value="T H &amp;">
    <input type="hidden" name="Description" value="DESCHIDDEN">
    <input type="hidden" name="IsRecurring" value="1">
    <input type="hidden" name="RecurringEffectiveDate" value="10-15-20">
    <input type="hidden" name="RecurringFrequency" value="3">
    <input type="hidden" name="RecurringPayments" value="12">
    
    <% =mFields %>
    <asp:Label ID="LBLErrorMessage" runat="server"></asp:Label>
    <br />
    <b>DONATIONS (SIP BASIC)</b><br/>
    <table class="auto-style1" id="TableDonate" runat="server">
      <tr>
        <td>Amount:</td>
        <td>
          <asp:TextBox ID="TBAmount" runat="server"></asp:TextBox>
        </td>
        <td>
          <asp:LinkButton ID="BTDonate" runat="server" OnClick="BTDonate_Click">Donate</asp:LinkButton>
        </td>
      </tr>
       <tr>
        <td></td>
      </tr>
    </table>
    <table class="auto-style1" id="TableConfirmation" runat="server">
      <tr>
        <td>
          Your final amount is <b><asp:Label ID="LBLFinalAmount" runat="server"></asp:Label></b>. <br />Please press send to proceed
        </td>
      </tr>
      <tr>
        <td></td>
      </tr>
      <tr>
        <td nowrap>
          Merchant Receipt URL(Optional):<br>
          Example: https://webtest.chargeanywhere.com/APIs/MerchantReceiptURLTEST.aspx <br>
          <input name="MerchantReceiptURL" value="" style="width:500px"><br><br>
          <input type="submit" id="BTConfirm" value="Send">
        </td>
      </tr>
    </table>
  </form>
</body>
</html>
