﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CartMode1.aspx.cs" Inherits="APITestPages.CartMode1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0" />
  <title>SIP ADVANCED</title>
  <style type="text/css">
    .auto-style1 {
      width: 17%;
    }

    .auto-style2 {
      width: 471px;
    }

    .auto-style3 {
      width: 452px;
    }

    .auto-style4 {
      width: 30px;
    }
  </style>
  <script>
    function isNumber(evt) {
      evt = (evt) ? evt : window.event;
      var charCode = (evt.which) ? evt.which : evt.keyCode;
      if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
      }
      return true;
    }

    function CalculateAmount() {
      var Subtotal = 0;
      var Amount = 0;
      var grid = document.getElementById("<%= DGLineItems.ClientID%>");
    var inputs = grid.getElementsByTagName("input");
    if (inputs.length == 0)
      //document.getElementById("HFAmount").value = document.getElementById("LBLAmount").value;
      document.getElementById("HFAmount").value = document.getElementById("LBLAmount").innerHTML;
    else {
      for (var i = 0; i < inputs.length; i++) {
        if (inputs[i].name.indexOf("TBItemQty") > 1) {
          if (inputs[i].value != "") {
            if (inputs[i + 1].value != "") {
              inputs[i + 1].value = parseFloat(inputs[i + 1].value).toFixed(2);
              Subtotal = parseFloat(inputs[i].value) * parseFloat(inputs[i + 1].value);
              inputs[i + 2].value = Subtotal.toFixed(2);
              Amount += Subtotal;
            }
          }
        }
      }
      document.getElementById("HFAmount").value = Amount.toFixed(2);
      document.getElementById("LBLAmount").innerHTML = formatter.format(Amount);
    }
  }

  var formatter = new Intl.NumberFormat('en-US', {
    style: 'currency',
    currency: 'USD',
  });
  </script>
</head>
<body>
  <form id="form1" runat="server">
    <input type="hidden" name="MerchantDBA" value="AmineLocalPaymentFormsTest">
    <input type="hidden" name="MerchantId" value="<%= mMerchantId %>"">
    <input type="hidden" name="TerminalId" value="<%= mTerminalId %>"">
    <input type="hidden" name="Seed" value="0.8201105">
    <input type="hidden" name="Mode" value="1">
    <input type="hidden" name="Version" value="2.0">
    <input type="hidden" name="TransactionType" value="Sale">
    <input type="hidden" name="TimeStamp" value="">
    <input type="hidden" name="InvoiceNumber" value="T H &amp;">
    <input type="hidden" name="Description" value="DESCHIDDEN">

    <% =mFields %>
    <asp:Label ID="LBLErrorMessage" runat="server"></asp:Label>
    <br />
    <b>Cart (SIP ADVANCED)</b>

    <table class="auto-style3" id="TableCheckout" runat="server">
      <tr>
        <td colspan="3">
          <table>
            <tr>
              <td colspan="2" class="auto-style2">
                <asp:LinkButton ID="BTAddItem" runat="server" Text="Add Item" CausesValidation="false" OnClick="BTAddItem_Click"></asp:LinkButton>
                <asp:DataGrid CssClass="gridViewRow" ID="DGLineItems" runat="server" AutoGenerateColumns="False" Width="95%" OnDeleteCommand="DGLineItems_DeleteCommand">
                  <AlternatingItemStyle CssClass="gridRow1" />
                  <Columns>
                    <asp:TemplateColumn HeaderText="Item Id" HeaderStyle-CssClass="gridHeader">
                      <FooterTemplate>
                        <asp:Label ID="LBLGridFooter" runat="server" CssClass="gridFooter" Width="85"></asp:Label>
                      </FooterTemplate>
                      <ItemTemplate>
                        <asp:TextBox runat="server" ID="TBItemID" Text='<%# DataBinder.Eval(Container, "DataItem.Id") %>' Width="50"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator71" runat="server" ControlToValidate="TBItemID" ForeColor="Red">*</asp:RequiredFieldValidator>
                      </ItemTemplate>
                      <HeaderStyle CssClass="gridHeader"></HeaderStyle>
                    </asp:TemplateColumn>
                    <asp:TemplateColumn HeaderText="Item Name" HeaderStyle-CssClass="gridHeader">
                      <ItemTemplate>
                        <asp:TextBox runat="server" ID="TBItemName" Text='<%# DataBinder.Eval(Container, "DataItem.Name") %>' Width="90"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator72" runat="server" ControlToValidate="TBItemName" ForeColor="Red">*</asp:RequiredFieldValidator>
                      </ItemTemplate>
                      <HeaderStyle CssClass="gridHeader"></HeaderStyle>
                    </asp:TemplateColumn>
                    <asp:TemplateColumn HeaderText="Quantity" HeaderStyle-CssClass="gridHeader">
                      <ItemTemplate>
                        <asp:TextBox runat="server" ID="TBItemQty" Text='<%# DataBinder.Eval(Container, "DataItem.Qty") %>'
                          onkeypress="return isNumber(event)" onblur="CalculateAmount()" Width="50"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator73" runat="server" ControlToValidate="TBItemQty" ForeColor="Red">*</asp:RequiredFieldValidator>
                      </ItemTemplate>
                      <HeaderStyle CssClass="gridHeader"></HeaderStyle>
                    </asp:TemplateColumn>
                    <asp:TemplateColumn HeaderText="Price" HeaderStyle-CssClass="gridHeader">
                      <ItemTemplate>
                        <asp:TextBox runat="server" ID="TBItemPrice" Text='<%# DataBinder.Eval(Container, "DataItem.Price") %>' Width="30" onblur="CalculateAmount()"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator74" runat="server" ControlToValidate="TBItemPrice" ForeColor="Red">*</asp:RequiredFieldValidator>
                      </ItemTemplate>
                      <HeaderStyle CssClass="gridHeader"></HeaderStyle>
                    </asp:TemplateColumn>
                    <asp:TemplateColumn HeaderText="Subtotal" HeaderStyle-CssClass="gridHeader">
                      <ItemTemplate>
                        <asp:TextBox runat="server" ID="TBItemSubtotal" Text='<%# DataBinder.Eval(Container, "DataItem.Subtotal") %>' Width="50"></asp:TextBox>
                      </ItemTemplate>
                      <HeaderStyle CssClass="gridHeader"></HeaderStyle>
                    </asp:TemplateColumn>
                    <asp:TemplateColumn HeaderText="Delete">
                      <ItemTemplate>
                        <asp:LinkButton ID="BTItemDelete" runat="server" CausesValidation="false" Text="Delete" CommandName="Delete"></asp:LinkButton>
                      </ItemTemplate>
                      <HeaderStyle CssClass="gridHeader"></HeaderStyle>
                    </asp:TemplateColumn>
                  </Columns>
                  <ItemStyle CssClass="gridRow2" />
                </asp:DataGrid>
              </td>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        <td class="auto-style4">Amount:</td>
        <td>
          <asp:Label ID="LBLAmount" runat="server" Text="$0.00"></asp:Label>
          <asp:HiddenField ID="HFAmount" runat="server" Value="0" />
        </td>
      </tr>
      <tr>
        <td class="auto-style4">
          <asp:LinkButton ID="BTCheckout" runat="server" OnClick="BTCheckout_Click">Checkout</asp:LinkButton>
        </td>
      </tr>
      <tr>
        <td class="auto-style4"></td>
      </tr>
    </table>
    <table class="auto-style1" id="TableConfirmation" runat="server">
      <tr>
        <td>
          <% =itemsSummary %>
        </td>
      </tr>
      <tr>
        <td>Your final amount is <b>
          <asp:Label ID="LBLFinalAmount" runat="server"></asp:Label></b>.<br />
          Please fill payment info and press send to proceed
        </td>
      </tr>
      <tr>
        <td>
          <br>
        </td>
      </tr>
      <tr>
        <td nowrap>CardNumber:
          <input name="CardNumber" value=""><br>
          ExpMonth(mm):
          <input name="ExpMonth" value=""><br>
          ExpYear(yy):
          <input name="ExpYear" value=""><br>
          CVV:
          <input name="CardVerificationValue" value=""><br>
          <br>
        </td>
      </tr>
      <tr>
        <td nowrap>Merchant Receipt URL(Optional):<br>
          Example: https://webtest.chargeanywhere.com/APIs/MerchantReceiptURLTEST.aspx
          <br>
          <input name="MerchantReceiptURL" value="" style="width: 500px"><br>
          <br>
          <!--<input type="submit" id="BTConfirm" value="Send">-->
          <asp:LinkButton ID="BTConfirm" runat="server">Send</asp:LinkButton>
        </td>
      </tr>
    </table>
  </form>
</body>
</html>
