﻿/*
//sample code AIP v2.0
//This example shows how to post data from your server to CHARGE Anywhere's gateway:
//Response data will be returned after all posted information are processed
*/
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using APITestPages.Components;

namespace APITestPages
{
  public partial class PF2Donations : System.Web.UI.Page
  {
    Utils utils = new Utils();
    public string mFields = "";
    public String mMerchantId = System.Configuration.ConfigurationManager.AppSettings["MerchantId"];
    public String mTerminalId = System.Configuration.ConfigurationManager.AppSettings["TerminalId"];

    protected void Page_Load(object sender, EventArgs e)
    {
      LBLErrorMessage.Text = "";

      if (!Page.IsPostBack)
      {
        TableDonate.Visible = true;
        TableConfirmation.Visible = false;
      }
    }

    protected void BTDonate_Click(object sender, EventArgs e)
    {
      if (TBAmount.Text.Trim() == "" || TBAmount.Text.Trim() == "0")
      {
        LBLErrorMessage.ForeColor = System.Drawing.Color.Red;
        LBLErrorMessage.Text = "Please enter an amount first";
      }
      else
      {
        LBLFinalAmount.Text = Convert.ToDouble(TBAmount.Text.Trim()).ToString("C");

         mFields += String.Format("<input type=\"hidden\" name=\"{0}\" value=\"{1}\"/><br>\r\n", "Amount", TBAmount.Text.Trim());

        ViewState["mFields"] = mFields;

        TableDonate.Visible = false;
        TableConfirmation.Visible = true;
      }
    }

    protected void BTConfirm_Click(object sender, EventArgs e)
    {
      mFields = ViewState["mFields"].ToString();
      //string URL = "http://localhost:14774/PaymentFormAIP.aspx";
      string URL = "https://webtest.chargeanywhere.com/APIs/PaymentFormAIP.aspx";
      string Form = Request.Form.ToString();
      string Response = utils.submitRequest(URL, Form);
      TableAll.Visible = false;
      HttpContext.Current.Response.Write(Response.Replace("&","<br>"));
    }
  }
}